Index: /extensions/File_Uploader/language/hu_HU/description.txt
===================================================================
--- /extensions/File_Uploader/language/hu_HU/description.txt	(revision 19705)
+++ /extensions/File_Uploader/language/hu_HU/description.txt	(revision 19705)
@@ -0,0 +1,1 @@
+Fájlok feltöltése a Piwigo galériába
Index: /extensions/File_Uploader/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/File_Uploader/language/hu_HU/plugin.lang.php	(revision 19705)
+++ /extensions/File_Uploader/language/hu_HU/plugin.lang.php	(revision 19705)
@@ -0,0 +1,54 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Open files in a new tab'] = 'Fájlok megnyitása új fülön';
+$lang['File exceeds the upload_max_filesize directive in php.ini'] = 'A fájl meghaladja a php.ini-ben megadott upload_max_filesize értéket';
+$lang['File was only partially uploaded'] = 'A fájl csak részben került feltöltésre';
+$lang['Piwigo is a free software (opensource software), you can use it for free and this is not going to change. Donations are collected by the Piwigo Foundation (non profit organization) to cover project fees.'] = 'A Piwigo egy free szoftver (opensource szoftver), melyet ingyenesen használhat és ez nem fog változni. Az adományok a Piwigo Foundation (non profit szervezet) projekt költségeinek fedezetére fordítódnak.';
+$lang['Unable to create folder '] = 'Nem sikerült létrehozni a mappát';
+$lang['Can\'t copy file to galleries directory'] = 'Nem lehet a fájlt a galéria könyvtárba másolni';
+$lang['Overwrite files without notice'] = 'Fájlok felülírása figyelmeztetés nélkül';
+$lang['Specify a file to upload'] = 'Adja meg a feltöltendő fájlt';
+$lang['Specify a thumbnail for your file'] = 'Adja meg a bélyegkép fájlt';
+$lang['Type of file not supported'] = 'A fájltípus nem támogatott';
+$lang['Open the file in a new tab'] = 'Nyissa meg a fájlt egy új lapon';
+$lang['There have been errors. See below'] = 'Hibák történtek. Lásd alább';
+$lang['File upload stopped by extension'] = 'A fájl feltöltést leállította a bővítmény';
+$lang['Missing a temporary folder'] = 'Hiányzik az ideiglenes mappa';
+$lang['Thumbnail to upload:'] = 'Bélyegkép feltöltése';
+$lang['create a new album'] = 'új album létrehozása';
+$lang['Title:'] = 'Cím:';
+$lang['Upload'] = 'Feltöltés';
+$lang['Upload error'] = 'Feltöltés hiba';
+$lang['Properties'] = 'Tulajdonságok';
+$lang['... or '] = '... vagy ';
+$lang['Album:'] = 'Album:';
+$lang['Choose a file'] = 'Fájl kiválasztása';
+$lang['Choose a thumbnail'] = 'Bélyegkép kiválasztása';
+$lang['Configuration'] = 'Beállítások';
+$lang['Donate'] = 'Adomány';
+$lang['File Uploader Plugin'] = 'Fájl feltöltő bővítmény';
+$lang['File to upload:'] = 'Fájl feltöltése:';
+$lang['File uploaded and synchronized'] = 'Fájl feltöltve és szinkronizálva';
+$lang['Help'] = 'Súgó';
+$lang['Invalid file name'] = 'Érvénytelen fájlnév';
+?>