Index: /extensions/Media_Icon/language/da_DK/plugin.lang.php
===================================================================
--- /extensions/Media_Icon/language/da_DK/plugin.lang.php	(revision 19730)
+++ /extensions/Media_Icon/language/da_DK/plugin.lang.php	(revision 19731)
@@ -26,5 +26,5 @@
 $lang['pdf'] = 'pdf';
 $lang['pdf files'] = 'pdf-filer';
-$lang['ppt, pptx and odp files'] = 'Understøttede filer: ppt, pptx og odp';
+$lang['Files supported: ppt, pptx and odp files'] = 'Understøttede filer: ppt, pptx og odp';
 $lang['The opacity of the icon.'] = 'En ikons gennemsigtighed.';
 $lang['The type of files you want to add an icon to. Uncheck a type of file to deactivate the display of the icon for this type of file. <i>Not displayed</i> is then displayed in the result pane.'] = 'De filtyper, du ønsker at tilføje ikoner for.  Fjern fluebenet ved en filtype for at deaktivere visning af en ikon for den pågældende filtype. <i>Ikke vist</i> anføres da i resultatruden.';
@@ -82,5 +82,5 @@
 $lang['Files supported: mp3, ogg, oga, m4a, webma, fla, wav'] = 'Understøttede filer: mp3, ogg, oga, m4a, webma, fla, wav';
 $lang['Files supported: pdf'] = 'Understøttede filer: pdf';
-$lang['Files supported: webm, webmv, ogv, m4v, flv, mp4'] = 'Understøttede filer: mp3, ogg, oga, m4a, webma, fla, wav';
+$lang['Files supported: webm, webmv, ogv, m4v, flv, mp4'] = 'Understøttede filer: webm, webmv, ogv, m4v, flv, mp4';
 $lang['Files supported: xls, xlsx and ods'] = 'Understøttede filer: xls, xlsx og ods';
 $lang['General'] = 'Generelt';
Index: /extensions/Media_Icon/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/Media_Icon/language/de_DE/plugin.lang.php	(revision 19730)
+++ /extensions/Media_Icon/language/de_DE/plugin.lang.php	(revision 19731)
@@ -50,5 +50,5 @@
 $lang['Files supported: mp3, ogg, oga, m4a, webma, fla, wav'] = 'Unterstützte Dateien: mp3, ogg, oga, m4a, webma, fla, wav';
 $lang['Files supported: pdf'] = 'Unterstützte Dateien: pdf';
-$lang['Files supported: webm, webmv, ogv, m4v, flv, mp4'] = 'Unterstützte Dateien: mp3, ogg, oga, m4a, webma, fla, wav';
+$lang['Files supported: webm, webmv, ogv, m4v, flv, mp4'] = 'Unterstützte Dateien: webm, webmv, ogv, m4v, flv, mp4';
 $lang['Files supported: xls, xlsx and ods'] = 'Unterstützte Dateien: xls, xlsx and ods';
 $lang['General'] = 'Allgemein';
@@ -86,4 +86,4 @@
 $lang['pdf'] = 'PDF';
 $lang['pdf files'] = 'PDF Dateien';
-$lang['ppt, pptx and odp files'] = 'Unterstützte Dateiformate: ppt, pptx und odp';
+$lang['Files supported: ppt, pptx and odp files'] = 'Unterstützte Dateiformate: ppt, pptx und odp';
 ?>
Index: /extensions/Media_Icon/language/el_GR/plugin.lang.php
===================================================================
--- /extensions/Media_Icon/language/el_GR/plugin.lang.php	(revision 19730)
+++ /extensions/Media_Icon/language/el_GR/plugin.lang.php	(revision 19731)
@@ -53,5 +53,5 @@
 $lang['Folder'] = 'Φάκελος';
 $lang['Files supported: xls, xlsx and ods'] = 'Τα αρχεία που υποστηρίζονται: xls, xlsx and ods';
-$lang['Files supported: webm, webmv, ogv, m4v, flv, mp4'] = 'Τα αρχεία που υποστηρίζονται: mp3, ogg, oga, m4a, webma, fla, wav';
+$lang['Files supported: webm, webmv, ogv, m4v, flv, mp4'] = 'Τα αρχεία που υποστηρίζονται: webm, webmv, ogv, m4v, flv, mp4';
 $lang['Files supported: pdf'] = 'Τα αρχεία που υποστηρίζονται: pdf';
 $lang['Files supported: mp3, ogg, oga, m4a, webma, fla, wav'] = 'Τα αρχεία που υποστηρίζονται: mp3, ogg, oga, m4a, webma, fla, wav';
@@ -69,5 +69,5 @@
 $lang['Author website'] = 'Υπεύθυνος ιστοσελίδας';
 $lang['Advanced options'] = 'Επιλογές για προχωρημένους';
-$lang['ppt, pptx and odp files'] = 'Τα αρχεία που υποστηρίζονται: ppt, pptx και ODP';
+$lang['Files supported: ppt, pptx and odp files'] = 'Τα αρχεία που υποστηρίζονται: ppt, pptx και ODP';
 $lang['pdf'] = 'pdf';
 $lang['pdf files'] = 'Αρχεία pdf';
Index: /extensions/Media_Icon/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/Media_Icon/language/en_UK/plugin.lang.php	(revision 19730)
+++ /extensions/Media_Icon/language/en_UK/plugin.lang.php	(revision 19731)
@@ -31,10 +31,10 @@
 $lang['Presentations'] = 'Presentations';
 $lang['Videos added with Embedded Videos'] = 'Videos added with Embedded Videos';
-$lang['Files supported: webm, webmv, ogv, m4v, flv, mp4'] = 'Files supported: mp3, ogg, oga, m4a, webma, fla, wav';
+$lang['Files supported: webm, webmv, ogv, m4v, flv, mp4'] = 'Files supported: webm, webmv, ogv, m4v, flv, mp4';
 $lang['Files supported: mp3, ogg, oga, m4a, webma, fla, wav'] = 'Files supported: mp3, ogg, oga, m4a, webma, fla, wav';
 $lang['Files supported: pdf'] = 'Files supported: pdf';
 $lang['Files supported: doc, docx and odt'] = 'Files supported: doc, docx and odt';
 $lang['Files supported: xls, xlsx and ods'] = 'Files supported: xls, xlsx and ods';
-$lang['ppt, pptx and odp files'] = 'Files supported: ppt, pptx and odp';
+$lang['Files supported: ppt, pptx and odp files'] = 'Files supported: ppt, pptx and odp';
 $lang['Not displayed'] = 'Not displayed';
 
Index: /extensions/Media_Icon/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/Media_Icon/language/es_ES/plugin.lang.php	(revision 19730)
+++ /extensions/Media_Icon/language/es_ES/plugin.lang.php	(revision 19731)
@@ -30,10 +30,10 @@
 $lang['Presentations'] = 'Presentaciones';
 $lang['Videos added with Embedded Videos'] = 'Vídeos añadido con Embedded Videos';
-$lang['Files supported: webm, webmv, ogv, m4v, flv, mp4'] = 'Archivos admitidos : mp3, ogg, oga, m4a, webma, fla, wav';
+$lang['Files supported: webm, webmv, ogv, m4v, flv, mp4'] = 'Archivos admitidos : webm, webmv, ogv, m4v, flv, mp4';
 $lang['Files supported: mp3, ogg, oga, m4a, webma, fla, wav'] = 'Archivos admitidos : mp3, ogg, oga, m4a, webma, fla, wav';
 $lang['Files supported: pdf'] = 'Archivos admitidos : pdf';
 $lang['Files supported: doc, docx and odt'] = 'Archivos admitidos : doc, docx y odt';
 $lang['Files supported: xls, xlsx and ods'] = 'Archivos admitidos : xls, xlsx y ods';
-$lang['ppt, pptx and odp files'] = 'Archivos admitidos : ppt, pptx y odp';
+$lang['Files supported: ppt, pptx and odp files'] = 'Archivos admitidos : ppt, pptx y odp';
 $lang['Not displayed'] = 'No presentado';
 
Index: /extensions/Media_Icon/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/Media_Icon/language/fr_FR/plugin.lang.php	(revision 19730)
+++ /extensions/Media_Icon/language/fr_FR/plugin.lang.php	(revision 19731)
@@ -31,10 +31,10 @@
 $lang['Presentations'] = 'Présentations';
 $lang['Videos added with Embedded Videos'] = 'Vidéos ajoutées avec Embedded Videos';
-$lang['Files supported: webm, webmv, ogv, m4v, flv, mp4'] = 'Fichiers supportés : mp3, ogg, oga, m4a, webma, fla, wav';
+$lang['Files supported: webm, webmv, ogv, m4v, flv, mp4'] = 'Fichiers supportés : webm, webmv, ogv, m4v, flv, mp4';
 $lang['Files supported: mp3, ogg, oga, m4a, webma, fla, wav'] = 'Fichiers supportés : mp3, ogg, oga, m4a, webma, fla, wav';
 $lang['Files supported: pdf'] = 'Fichiers supportés : pdf';
 $lang['Files supported: doc, docx and odt'] = 'Fichiers supportés : doc, docx et odt';
 $lang['Files supported: xls, xlsx and ods'] = 'Fichiers supportés : xls, xlsx et ods';
-$lang['ppt, pptx and odp files'] = 'Fichiers supportés : ppt, pptx et odp';
+$lang['Files supported: ppt, pptx and odp files'] = 'Fichiers supportés : ppt, pptx et odp';
 $lang['Not displayed'] = 'Non affiché';
 
Index: /extensions/Media_Icon/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/Media_Icon/language/lv_LV/plugin.lang.php	(revision 19730)
+++ /extensions/Media_Icon/language/lv_LV/plugin.lang.php	(revision 19731)
@@ -37,5 +37,5 @@
 $lang['General'] = 'Vispārējs';
 $lang['Files supported: xls, xlsx and ods'] = 'Atbalstītie failu tipi: xls, xlsx un ods';
-$lang['Files supported: webm, webmv, ogv, m4v, flv, mp4'] = 'Atbalstītie failu tipi: mp3, ogg, m4a, webma, fla, wav';
+$lang['Files supported: webm, webmv, ogv, m4v, flv, mp4'] = 'Atbalstītie failu tipi: webm, webmv, ogv, m4v, flv, mp4';
 $lang['Files supported: mp3, ogg, oga, m4a, webma, fla, wav'] = 'Atbalstītie failu tipi: mp3, ogg, m4a, webma, fla, wav';
 $lang['Files supported: doc, docx and odt'] = 'Atbalstītie failu tipi: doc, docx un odt';
@@ -70,5 +70,5 @@
 $lang['Video'] = 'Video';
 $lang['Folder picture'] = 'Mapes attēls';
-$lang['ppt, pptx and odp files'] = 'Atbalstītie failu tipi: ppt, pptx, odp';
+$lang['Files supported: ppt, pptx and odp files'] = 'Atbalstītie failu tipi: ppt, pptx, odp';
 $lang['pdf files'] = 'pdf faili';
 $lang['pdf'] = 'pdf';
Index: /extensions/Media_Icon/language/tr_TR/plugin.lang.php
===================================================================
--- /extensions/Media_Icon/language/tr_TR/plugin.lang.php	(revision 19730)
+++ /extensions/Media_Icon/language/tr_TR/plugin.lang.php	(revision 19731)
@@ -47,5 +47,5 @@
 $lang['General'] = 'Genel';
 $lang['Files supported: xls, xlsx and ods'] = 'Desteklenen dosyalar: xls, xlsx ve ods';
-$lang['Files supported: webm, webmv, ogv, m4v, flv, mp4'] = 'Desteklenen dosyalar: mp3, ogg, oga, m4a, webma, fla, wav';
+$lang['Files supported: webm, webmv, ogv, m4v, flv, mp4'] = 'Desteklenen dosyalar: webm, webmv, ogv, m4v, flv, mp4';
 $lang['Files supported: pdf'] = 'Desteklenen dosyalar: pdf';
 $lang['Files supported: mp3, ogg, oga, m4a, webma, fla, wav'] = 'Desteklenen dosyalar: mp3, ogg, oga, m4a, webma, fla, wav';
@@ -86,5 +86,5 @@
 $lang['folderpicture'] = 'Dizin resmi';
 $lang['logo'] = 'Logo';
-$lang['ppt, pptx and odp files'] = 'Desteklenen dosyalar: ppt, pptx ve odp';
+$lang['Files supported: ppt, pptx and odp files'] = 'Desteklenen dosyalar: ppt, pptx ve odp';
 $lang['Folder'] = 'Dizin';
 $lang['Folder color'] = 'Dizin rengi';
Index: /extensions/Media_Icon/template/media_icon.css
===================================================================
--- /extensions/Media_Icon/template/media_icon.css	(revision 19730)
+++ /extensions/Media_Icon/template/media_icon.css	(revision 19731)
@@ -199,13 +199,61 @@
 
 /* +-----------------------------------------------------------------------+
- * | cracked                                                               |
- * +-----------------------------------------------------------------------+ */
- 
-.media_icon_youtube_cracked, .media_icon_admin_youtube_cracked {
+ * | folderpicture                                                         |
+ * +-----------------------------------------------------------------------+ */
+ 
+.media_icon_youtube_folderpicture, .media_icon_admin_youtube_folderpicture {
+	background: transparent url('icons/folderpicture_youtube.png') no-repeat;
+}
+
+.media_icon_vimeo_folderpicture, .media_icon_admin_vimeo_folderpicture {
+	background: transparent url('icons/folderpicture_video.png') no-repeat;
+}
+
+.media_icon_dailymotion_folderpicture, .media_icon_admin_dailymotion_folderpicture {
+	background: transparent url('icons/folderpicture_video.png') no-repeat;
+}
+
+.media_icon_wat_folderpicture, .media_icon_admin_wat_folderpicture {
+	background: transparent url('icons/folderpicture_video.png') no-repeat;
+}
+
+.media_icon_wideo_folderpicture, .media_icon_admin_wideo_folderpicture {
+	background: transparent url('icons/folderpicture_video.png') no-repeat;
+}
+
+.media_icon_video_folderpicture, .media_icon_admin_video_folderpicture {
+	background: transparent url('icons/folderpicture_video.png') no-repeat;
+}
+
+.media_icon_music_folderpicture, .media_icon_admin_music_folderpicture {
+	background: transparent url('icons/folderpicture_music.png') no-repeat;
+}
+
+.media_icon_pdf_folderpicture, .media_icon_admin_pdf_folderpicture {
+	background: transparent url('icons/folderpicture_pdf.png') no-repeat;
+}
+
+.media_icon_document_folderpicture, .media_icon_admin_document_folderpicture {
+	background: transparent url('icons/folderpicture_document.png') no-repeat;
+}
+
+.media_icon_spreadsheet_folderpicture, .media_icon_admin_spreadsheet_folderpicture {
+	background: transparent url('icons/folderpicture_spreadsheet.png') no-repeat;
+}
+
+.media_icon_presentation_folderpicture, .media_icon_admin_presentation_folderpicture {
+	background: transparent url('icons/folderpicture_presentation.png') no-repeat;
+}
+
+/* +-----------------------------------------------------------------------+
+ * | cracked                                                           |
+ * +-----------------------------------------------------------------------+ */
+ 
+ .media_icon_youtube_cracked, .media_icon_admin_youtube_cracked {
 	background: transparent url('icons/cracked_youtube.png') no-repeat;
 }
 
 .media_icon_vimeo_cracked, .media_icon_admin_vimeo_cracked {
-	background: transparent url('icons/cracked_video.png') no-repeat;
+	background: transparent url('icons/cracked_vimeo.png') no-repeat;
 }
 
@@ -215,9 +263,9 @@
 
 .media_icon_wat_cracked, .media_icon_admin_wat_cracked {
-	background: transparent url('icons/cracked_video.png') no-repeat;
+	background: transparent url('icons/cracked_wat.png') no-repeat;
 }
 
 .media_icon_wideo_cracked, .media_icon_admin_wideo_cracked {
-	background: transparent url('icons/cracked_video.png') no-repeat;
+	background: transparent url('icons/cracked_wideo.png') no-repeat;
 }
 
@@ -245,50 +293,2 @@
 	background: transparent url('icons/cracked_presentation.png') no-repeat;
 }
-
-/* +-----------------------------------------------------------------------+
- * | cracked                                                           |
- * +-----------------------------------------------------------------------+ */
- 
- .media_icon_youtube_cracked, .media_icon_admin_youtube_cracked {
-	background: transparent url('icons/cracked_youtube.png') no-repeat;
-}
-
-.media_icon_vimeo_cracked, .media_icon_admin_vimeo_cracked {
-	background: transparent url('icons/cracked_vimeo.png') no-repeat;
-}
-
-.media_icon_dailymotion_cracked, .media_icon_admin_dailymotion_cracked {
-	background: transparent url('icons/cracked_dailymotion.png') no-repeat;
-}
-
-.media_icon_wat_cracked, .media_icon_admin_wat_cracked {
-	background: transparent url('icons/cracked_wat.png') no-repeat;
-}
-
-.media_icon_wideo_cracked, .media_icon_admin_wideo_cracked {
-	background: transparent url('icons/cracked_wideo.png') no-repeat;
-}
-
-.media_icon_video_cracked, .media_icon_admin_video_cracked {
-	background: transparent url('icons/cracked_video.png') no-repeat;
-}
-
-.media_icon_music_cracked, .media_icon_admin_music_cracked {
-	background: transparent url('icons/cracked_music.png') no-repeat;
-}
-
-.media_icon_pdf_cracked, .media_icon_admin_pdf_cracked {
-	background: transparent url('icons/cracked_pdf.png') no-repeat;
-}
-
-.media_icon_document_cracked, .media_icon_admin_document_cracked {
-	background: transparent url('icons/cracked_document.png') no-repeat;
-}
-
-.media_icon_spreadsheet_cracked, .media_icon_admin_spreadsheet_cracked {
-	background: transparent url('icons/cracked_spreadsheet.png') no-repeat;
-}
-
-.media_icon_presentation_cracked, .media_icon_admin_presentation_cracked {
-	background: transparent url('icons/cracked_presentation.png') no-repeat;
-}