Index: /extensions/Piwecard/admin/consult.php
===================================================================
--- /extensions/Piwecard/admin/consult.php	(revision 19738)
+++ /extensions/Piwecard/admin/consult.php	(revision 19739)
@@ -23,5 +23,5 @@
 		$ecard_id = $_GET['id'];
 		$me->delete_ecard($ecard_id, isset($_GET['force']));
-		redirect( PHPWG_ROOT_PATH . 'admin.php?page=plugin&amp;section=' . ECARD_DIR . '%2Fadmin%2Fadmin.php&amp;tab=consult&amp;start='.$start);
+		redirect( ECARD_ADMIN . '-consult&amp;start='.$start);
 
 	}
@@ -29,5 +29,5 @@
 	{
 		$me->delete_allinvalid_ecard();
-		redirect( PHPWG_ROOT_PATH . 'admin.php?page=plugin&amp;section=' . ECARD_DIR . '%2Fadmin%2Fadmin.php&amp;tab=consult');
+		redirect( ECARD_ADMIN . '-consult);
 	}
 } 
Index: /extensions/Piwecard/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/Piwecard/language/de_DE/plugin.lang.php	(revision 19738)
+++ /extensions/Piwecard/language/de_DE/plugin.lang.php	(revision 19739)
@@ -59,7 +59,7 @@
 $lang['ecard_authorized_group']      = 'Einstellung der Gruppen'; 
 $lang['ecard_authorized_group_info']  = 'Keine Auswahl ==> ist für alle verfügbar'; 
-$lang['ecard_manage']          = 'Auswahl';
+$lang['ecard_admin_manage']          = 'Auswahl';
 
-$lang['ecard_params']          = 'Einstellungen';
+$lang['ecard_admin_params']          = 'Einstellungen';
 $lang['ecard_config']          = 'Standartkonfiguration';
 
@@ -90,5 +90,5 @@
 <b>%imginfos</b>    ==> Informationen über das Bild (Name und Autor)';
 
-$lang['ecard_consult']          = 'Liste';
+$lang['ecard_admin_consult']          = 'Liste';
 $lang['ecard_consult_detail']      = 'Liste der vorhandenen E-Cards';
 $lang['ecard_list']            = 'Liste der versendeten E-Cards';
Index: /extensions/Piwecard/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/Piwecard/language/en_UK/plugin.lang.php	(revision 19738)
+++ /extensions/Piwecard/language/en_UK/plugin.lang.php	(revision 19739)
@@ -59,7 +59,7 @@
 $lang['ecard_authorized_group']			= 'Group parameters'; 
 $lang['ecard_authorized_group_info']	= 'None checked ==> Allowed for all users'; 
-$lang['ecard_manage']					= 'Choice';
+$lang['ecard_admin_manage']					= 'Choice';
 
-$lang['ecard_params']					= 'Parameters';
+$lang['ecard_admin_params']					= 'Parameters';
 $lang['ecard_config']					= 'Standard config';
 
@@ -90,5 +90,5 @@
 <b>%imginfos</b>    ==> Photo Informations (name and author)';
 
-$lang['ecard_consult']					= 'List';
+$lang['ecard_admin_consult']					= 'List';
 $lang['ecard_consult_detail']			= 'List of eCard';
 $lang['ecard_list']						= 'Liste of eCard sent';
Index: /extensions/Piwecard/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/Piwecard/language/fr_FR/plugin.lang.php	(revision 19738)
+++ /extensions/Piwecard/language/fr_FR/plugin.lang.php	(revision 19739)
@@ -59,7 +59,7 @@
 $lang['ecard_authorized_group']			= 'Paramétrage des groupes'; 
 $lang['ecard_authorized_group_info']	= 'Aucun choix ==> actif pour tous'; 
-$lang['ecard_manage']					= 'Choix';
+$lang['ecard_admin_manage']					= 'Choix';
 
-$lang['ecard_params']					= 'Paramétrage';
+$lang['ecard_admin_params']					= 'Paramétrage';
 $lang['ecard_config']					= 'Configuration de base';
 
@@ -90,5 +90,5 @@
 <b>%imginfos</b>    ==> Informations de l\'image (nom et auteur)';
 
-$lang['ecard_consult']					= 'Consultation';
+$lang['ecard_admin_consult']					= 'Consultation';
 $lang['ecard_consult_detail']			= 'Consultation des eCard présentes';
 $lang['ecard_list']						= 'Liste des Cartes Virtuelles envoyées';
Index: /extensions/Piwecard/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/Piwecard/language/it_IT/plugin.lang.php	(revision 19738)
+++ /extensions/Piwecard/language/it_IT/plugin.lang.php	(revision 19739)
@@ -59,7 +59,7 @@
 $lang['ecard_authorized_group']			= 'Impostazione dei gruppi'; 
 $lang['ecard_authorized_group_info']	= 'Nessuna scelta ==> attivo per tutti'; 
-$lang['ecard_manage']					= 'Scelta';
+$lang['ecard_admin_manage']					= 'Scelta';
 
-$lang['ecard_params']					= 'Impostazione';
+$lang['ecard_admin_params']					= 'Impostazione';
 $lang['ecard_config']					= 'Configurazione di base';
 
@@ -90,5 +90,5 @@
 <b>%imginfos</b>    ==> Informazioni della foto (nome e autore)';
 
-$lang['ecard_consult']					= 'Consultazione';
+$lang['ecard_admin_consult']					= 'Consultazione';
 $lang['ecard_consult_detail']			= 'Consultazione delle eCard presenti';
 $lang['ecard_list']						= 'Lista delle Cartoline Virtuali inviate';
Index: /extensions/Piwecard/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/Piwecard/language/lv_LV/plugin.lang.php	(revision 19738)
+++ /extensions/Piwecard/language/lv_LV/plugin.lang.php	(revision 19739)
@@ -59,7 +59,7 @@
 $lang['ecard_authorized_group'] = 'Grupas parametri';
 $lang['ecard_authorized_group_info'] = 'Nekas nav atzīmēts ==> Atļaut visiem lietotājiem';
-$lang['ecard_manage'] = 'Izvēle';
+$lang['ecard_admin_manage'] = 'Izvēle';
 
-$lang['ecard_params'] = 'Parametri';
+$lang['ecard_admin_params'] = 'Parametri';
 $lang['ecard_config'] = 'Standarta konfigurācija';
 
@@ -90,5 +90,5 @@
 <b>%imginfos</b> ==> Informācija par Foto (nosaukums un autors)';
 
-$lang['ecard_consult'] = 'Saraksts';
+$lang['ecard_admin_consult'] = 'Saraksts';
 $lang['ecard_consult_detail'] = 'eKaršu saraksts';
 $lang['ecard_list'] = 'Nosūtīto eKaršu saraksts';
Index: /extensions/Piwecard/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/Piwecard/language/ru_RU/plugin.lang.php	(revision 19738)
+++ /extensions/Piwecard/language/ru_RU/plugin.lang.php	(revision 19739)
@@ -59,7 +59,7 @@
 $lang['ecard_authorized_group']            = 'Параметры групп';
 $lang['ecard_authorized_group_info']    = 'Не отмечать ==> Доступно для всех пользователей';
-$lang['ecard_manage']                    = 'Вариант';
+$lang['ecard_admin_manage']                    = 'Вариант';
 
-$lang['ecard_params']                    = 'Параметры';
+$lang['ecard_admin_params']                    = 'Параметры';
 $lang['ecard_config']                    = 'Стандартная конфигурация';
 
@@ -90,5 +90,5 @@
 <b>%imginfos</b>    ==> Информация о фотографии (название и автор)';
 
-$lang['ecard_consult']                    = 'Список';
+$lang['ecard_admin_consult']                    = 'Список';
 $lang['ecard_consult_detail']            = 'Список открыток';
 $lang['ecard_list']                        = 'Посланные открытки';
Index: /extensions/Piwecard/language/sk_SK/plugin.lang.php
===================================================================
--- /extensions/Piwecard/language/sk_SK/plugin.lang.php	(revision 19738)
+++ /extensions/Piwecard/language/sk_SK/plugin.lang.php	(revision 19739)
@@ -59,7 +59,7 @@
 $lang['ecard_authorized_group']			= 'Skupinové parametre'; 
 $lang['ecard_authorized_group_info']	= 'Neoznačené ==> Povoliť pre všetkých používateľov'; 
-$lang['ecard_manage']					= 'Výber';
+$lang['ecard_admin_manage']					= 'Výber';
 
-$lang['ecard_params']					= 'Parametre';
+$lang['ecard_admin_params']					= 'Parametre';
 $lang['ecard_config']					= 'Štandardná konfigurácia';
 
@@ -90,5 +90,5 @@
 <b>%imginfos</b>    ==> Informácie o fotke (názov a autor)';
 
-$lang['ecard_consult']					= 'Zoznam';
+$lang['ecard_admin_consult']					= 'Zoznam';
 $lang['ecard_consult_detail']			= 'Zoznam ePohľadníc';
 $lang['ecard_list']						= 'Zoznam odoslaných ePohľadníc';
Index: /extensions/Piwecard/language/sv_SE/plugin.lang.php
===================================================================
--- /extensions/Piwecard/language/sv_SE/plugin.lang.php	(revision 19738)
+++ /extensions/Piwecard/language/sv_SE/plugin.lang.php	(revision 19739)
@@ -59,7 +59,7 @@
 $lang['ecard_authorized_group']            = 'Grupparametrar';
 $lang['ecard_authorized_group_info']    = 'Inga valda ==> Tillåtet för alla användare';
-$lang['ecard_manage']                    = 'Val';
+$lang['ecard_admin_manage']                    = 'Val';
 
-$lang['ecard_params']                    = 'Inställningar';
+$lang['ecard_admin_params']                    = 'Inställningar';
 $lang['ecard_config']                    = 'Standardinställningar';
 
@@ -90,5 +90,5 @@
 <b>%imginfos</b>    ==> Photo Informations (name and author)';
 
-$lang['ecard_consult']                    = 'Listningar';
+$lang['ecard_admin_consult']                    = 'Listningar';
 $lang['ecard_consult_detail']            = 'Lista med e-kort';
 $lang['ecard_list']                        = 'Lista över sända e-kort';