Index: /extensions/Piwecard/language/es_ES/description.txt
===================================================================
--- /extensions/Piwecard/language/es_ES/description.txt	(revision 19750)
+++ /extensions/Piwecard/language/es_ES/description.txt	(revision 19750)
@@ -0,0 +1,1 @@
+Genera tarjetas electronicas
Index: /extensions/Piwecard/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/Piwecard/language/es_ES/plugin.lang.php	(revision 19750)
+++ /extensions/Piwecard/language/es_ES/plugin.lang.php	(revision 19750)
@@ -0,0 +1,97 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['ecard_to'] = 'Para';
+$lang['total'] = 'Total';
+$lang['valid'] = 'Valido';
+$lang['ecard_send_HTML'] = 'Permitir enviar correo con foto (de lo contrario, sólo se enviará enlace)';
+$lang['ecard_send_copy'] = 'Recibir una copia';
+$lang['ecard_send_dest'] = 'Receptor';
+$lang['ecard_send_dest_mail'] = 'Receptor de correos (dest@dest.com)';
+$lang['ecard_send_dest_name'] = 'Nombre del receptor';
+$lang['ecard_send_exp'] = 'Remitente';
+$lang['ecard_send_exp_mail'] = 'Remitente del correo';
+$lang['ecard_send_exp_name'] = 'Nombre del remitente';
+$lang['ecard_send_link1'] = 'Para enviar una tarjeta electrónica';
+$lang['ecard_send_link2'] = 'Hacer clic aquí';
+$lang['ecard_send_link3'] = 'Creación de su tarjeta electrónica personalizada';
+$lang['ecard_send_message'] = 'Mensaje de tarjeta electrónica';
+$lang['ecard_send_method'] = 'Método de envió';
+$lang['ecard_send_stage1'] = 'Etapa 1: Escriba su mensaje';
+$lang['ecard_send_stage2'] = 'Etapa 2: Editar Información ';
+$lang['ecard_send_stage3'] = 'Etapa 3: Opciones';
+$lang['ecard_send_stage4'] = 'Etapa 4: Enviar la tarjeta electrónica!';
+$lang['ecard_send_title'] = 'Título eCard';
+$lang['ecard_show_infos'] = 'Mostrar la información debajo de las fotos (nombre y autor)';
+$lang['ecard_subject_link'] = 'Tema del correo ';
+$lang['ecard_delete'] = 'Eliminar esta tarjeta electrónica?';
+$lang['ecard_delete_all'] = 'Eliminar todas las tarjeta electrónica expiradas?';
+$lang['ecard_force_delete'] = 'Eliminar (forzar) esta tarjeta electrónica?';
+$lang['ecard_from'] = 'Desde';
+$lang['ecard_infos'] = 'Detalles de la tarjeta electrónica';
+$lang['ecard_invalid_ecard'] = 'Tarjeta electrónica no válida o caducada';
+$lang['ecard_list'] = 'Lista de tarjetas electrónica enviadas';
+$lang['ecard_mail_config'] = 'Parámetro para el correo enviado';
+$lang['ecard_mailhtml'] = 'Correo Completo con foto';
+$lang['ecard_maillink'] = 'Correo con enlace';
+$lang['ecard_manage'] = 'Parámetros para esta función en galería';
+$lang['ecard_management'] = 'Gestión Piwecard ';
+$lang['ecard_message_html'] = 'Mensaje enviado (correo HTML con foto)';
+$lang['ecard_message_link'] = 'Mensaje enviado (por correo con el modo de enlace único)';
+$lang['ecard_nolimit'] = 'ilimitado';
+$lang['ecard_nomodif_expmail'] = 'Permitir la modificación por el usuario remitente de correo electrónico';
+$lang['ecard_parameters'] = '<b><u>Parámetros </u></b>:<br> 
+<b>%sunombre</b>    ==> nombre del remitente<br>
+<b>%sucorreo</b>   ==> remitente del correo<br>
+<b>%sunombre</b>      ==> Nombre del receptor<br>
+<b>%sucorreo</b>     ==> receptor del correo<br>
+<b>%sitio</b>        ==> Nombre del sitio (Piwigo configuración estándar)<br>
+<b>%enlacesitio</b>    ==> Enlace del sitio (Piwigo configuración estándar)<br>
+<b>%camino</b>      ==> enlace a la pagina de la tarjeta<br>
+<b>%sujeto</b>       ==> Asunto tarjeta electrónica (escribir por el usuario)<br>
+<b>%mensaje</b>     ==> Mensaje de tarjeta electrónica (escribir por el usuario)<br>
+<b>%imgurl</b>      ==> Enlace a la foto<br>
+<b>%imginfos</b>    ==> Informaciones Foto (nombre y autor)';
+$lang['ecard_publish_bottom'] = 'Esta postal fue enviada por';
+$lang['ecard_recursiv'] = 'Activar recursividad';
+$lang['ecard_send'] = 'Enviar';
+$lang['ecard'] = 'Piwecard';
+$lang['ecard_activ_choice'] = 'Validad';
+$lang['ecard_activ_nb'] = 'Número de días (por defecto) para tarjeta electrónica válida';
+$lang['ecard_active_all_cats'] = 'Activar esta función en todas las categorías';
+$lang['ecard_active_spec_cats'] = 'Activar esta función en las categorías seleccionadas';
+$lang['ecard_active_user_cat'] = 'Active esta función sólo en el usuario o categorías que pertenecen a los usuarios (basado en el nombre del autor o categoría)';
+$lang['ecard_admin_consult'] = 'Lista';
+$lang['ecard_admin_manage'] = 'Elección';
+$lang['ecard_admin_nb_page'] = 'Número de tarjeta electrónica en la ficha Lista';
+$lang['ecard_admin_params'] = 'Parámetros';
+$lang['ecard_admin_saveOK'] = 'Configuración salvada';
+$lang['ecard_admin_submit'] = 'Salvado';
+$lang['ecard_authorized_group'] = 'Parámetros de grupo';
+$lang['ecard_authorized_group_info'] = 'Ninguno comprobado ==> Permitido para todos los usuarios';
+$lang['ecard_cancel'] = 'Cancelar';
+$lang['ecard_cat'] = 'Elegir categorías (Sólo si "todas las categorías" no está seleccionada)';
+$lang['ecard_config'] = 'Configuración estándar';
+$lang['ecard_consult_detail'] = 'Listado de tarjeta electrónica';
+$lang['ecard_days'] = 'Dias';
+$lang['ecard_default_mail'] = 'Correo predeterminado para tarjeta electrónica de invitados';
+?>