Index: /extensions/Piwecard/language/da_DK/description.txt
===================================================================
--- /extensions/Piwecard/language/da_DK/description.txt	(revision 19752)
+++ /extensions/Piwecard/language/da_DK/description.txt	(revision 19752)
@@ -0,0 +1,1 @@
+Generer eCard.
Index: /extensions/Piwecard/language/da_DK/plugin.lang.php
===================================================================
--- /extensions/Piwecard/language/da_DK/plugin.lang.php	(revision 19752)
+++ /extensions/Piwecard/language/da_DK/plugin.lang.php	(revision 19752)
@@ -0,0 +1,84 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['ecard_send_method'] = 'Afsendelsesmetode';
+$lang['ecard_send_stage1'] = 'Trin 1: Skriv din meddelelse';
+$lang['ecard_send_stage2'] = 'Trin 2: Rediger oplysninger';
+$lang['ecard_send_stage3'] = 'Trin 3: Valgmuligheder';
+$lang['ecard_send_stage4'] = 'Trin 4: Send eCard\'et!';
+$lang['ecard_send_title'] = 'eCards titel';
+$lang['ecard_show_infos'] = 'Vis oplysninger under fotografierne (navn og forfatter)';
+$lang['ecard_subject_link'] = 'Mailemne';
+$lang['ecard_to'] = 'Til';
+$lang['total'] = 'Total';
+$lang['valid'] = 'Gyldig';
+$lang['ecard_mail_config'] = 'Parameter for sendte mails';
+$lang['ecard_mailhtml'] = 'Komplet mail med fotografi';
+$lang['ecard_maillink'] = 'Mail med link';
+$lang['ecard_publish_bottom'] = 'Dette eCard blev sendt af';
+$lang['ecard_recursiv'] = 'Aktiver rekursivitet';
+$lang['ecard_send'] = 'Send';
+$lang['ecard_send_HTML'] = 'Tillad afsendelse af mail med fotografi (ellers sendes kun et link)';
+$lang['ecard_send_copy'] = 'Modtag en kopi';
+$lang['ecard_send_dest'] = 'Modtager';
+$lang['ecard_send_dest_mail'] = 'Modtagers mailadresse (dest@dest.com)';
+$lang['ecard_send_dest_name'] = 'Modtagers navn';
+$lang['ecard_send_exp'] = 'Afsender';
+$lang['ecard_send_exp_mail'] = 'Afsenders mailadresse';
+$lang['ecard_send_exp_name'] = 'Afsenders navn';
+$lang['ecard_send_link1'] = 'For at sende et eCard';
+$lang['ecard_send_link2'] = 'Klik her';
+$lang['ecard_send_link3'] = 'Opretter dit persontilpassede eCard';
+$lang['ecard_send_message'] = 'eCard-meddelelse';
+$lang['ecard_delete'] = 'Slet dette eCard';
+$lang['ecard_delete_all'] = 'Slet alle udløbne eCard?';
+$lang['ecard_force_delete'] = 'Slet (tvungen) dette eCard?';
+$lang['ecard_from'] = 'Fra';
+$lang['ecard_infos'] = 'Detaljerede oplysninger om eCard';
+$lang['ecard_invalid_ecard'] = 'Ugyldigt eller udløbet eCard';
+$lang['ecard_list'] = 'Liste over sendte eCard';
+$lang['ecard_management'] = 'Håndtering af Piwecard';
+$lang['ecard_message_html'] = 'Meddelelse sendt (HTML-mail med fotografi)';
+$lang['ecard_message_link'] = 'Meddelelse sendt (mail kun i linktilstand)';
+$lang['ecard_nolimit'] = 'Ubegrænset';
+$lang['ecard_nomodif_expmail'] = 'Tillad at brugeren kan ændre afsendermail';
+$lang['ecard'] = 'Piwecard';
+$lang['ecard_activ_choice'] = 'Gyldighed';
+$lang['ecard_activ_nb'] = 'Antal dage (standard) for gyldigt eCard';
+$lang['ecard_active_all_cats'] = 'Aktiver denne funktion for alle kategorier';
+$lang['ecard_active_spec_cats'] = 'Aktiver denne funktion for alle valgte kategorier';
+$lang['ecard_active_user_cat'] = 'Aktiver denne funktion kun for bruger eller kategorier der tilhører brugere (baseret på forfatter- eller kategorinavn)';
+$lang['ecard_admin_consult'] = 'Liste';
+$lang['ecard_admin_manage'] = 'Valg';
+$lang['ecard_admin_nb_page'] = 'Antal eCard på listefaneblad';
+$lang['ecard_admin_params'] = 'Parametre';
+$lang['ecard_admin_saveOK'] = 'Opsætning gemt';
+$lang['ecard_admin_submit'] = 'Gem';
+$lang['ecard_authorized_group'] = 'Gruppeparametre';
+$lang['ecard_authorized_group_info'] = 'Ingen valgt ==> Tilladt for alle brugere';
+$lang['ecard_cancel'] = 'Annuller';
+$lang['ecard_cat'] = 'Vælg kategorier (kun hvis "alle kategorier" ikke er valgt)';
+$lang['ecard_config'] = 'Standardopsætning';
+$lang['ecard_consult_detail'] = 'Liste over eCard';
+$lang['ecard_days'] = 'dage';
+$lang['ecard_default_mail'] = 'Standardmail for gæste-eCard';
+?>