Index: /extensions/Piwecard/language/el_GR/description.txt
===================================================================
--- /extensions/Piwecard/language/el_GR/description.txt	(revision 19792)
+++ /extensions/Piwecard/language/el_GR/description.txt	(revision 19792)
@@ -0,0 +1,1 @@
+Δημιουργία μιας e-card
Index: /extensions/Piwecard/language/el_GR/plugin.lang.php
===================================================================
--- /extensions/Piwecard/language/el_GR/plugin.lang.php	(revision 19792)
+++ /extensions/Piwecard/language/el_GR/plugin.lang.php	(revision 19792)
@@ -0,0 +1,74 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['ecard_parameters'] = '<b><u>Παράμετροι </u></b>:<br> 
+<b>%votrenom</b>    ==> Όνομα Αποστολέα<br>
+<b>%votremail</b>   ==> Διεύθυνση e-mail αποστολέα<br>
+<b>%sonnom</b>      ==> Όνομα Παραλήπτη<br>
+<b>%sonmail</b>     ==> Παραλήπτης Mail<br>
+<b>%site</b>        ==> Όνομα Ιστοσελίδας (πρότυπο διαμόρφωσης από το Piwigo)<br>
+<b>%linksite</b>    ==> Σύνδεσμος Ιστοσελίδας (πρότυπο διαμόρφωσης από το Piwigo)<br>
+<b>%chemin</b>      ==> Σύνδεσμος της σελίδας του eCard <br>
+<b>%sujet</b>       ==> Θέμα eCard (γράφεται από το χρήστη)<br>
+<b>%message</b>     ==> Μήνυμα eCard (γράφεται από το χρήστη) <br>
+<b>%imgurl</b>      ==> Σύνδεση με φωτογραφία <br>
+<b>%imginfos</b>    ==> Πληροφορίες Φωτογραφίας (όνομα και δημιουργός) 
+
+';
+$lang['ecard_publish_bottom'] = 'Αυτή η eCard εστάλη από';
+$lang['ecard_nomodif_expmail'] = 'Επιτρέψτε τον αποστολέα να τροποποίηση το e-mail';
+$lang['ecard_nolimit'] = 'Απεριόριστο';
+$lang['ecard_message_link'] = 'Το Μήνυμα εστάλει (e-mail με λειτουργία συνδέσμου μόνο)';
+$lang['ecard_message_html'] = 'Το Μήνυμα εστάλει (HTML e-mail με φωτογραφία)';
+$lang['ecard_management'] = 'Διαχείριση του Piwecard ';
+$lang['ecard_manage'] = 'Παράμετροι για τη λειτουργία σ\' αυτή τη γκαλερί';
+$lang['ecard_maillink'] = 'e-mail με σύνδεσμο';
+$lang['ecard_mailhtml'] = 'Συμπληρώστε το e-mail με φωτογραφία';
+$lang['ecard_mail_config'] = 'Παράμετρος για την αλληλογραφία που έχει αποσταλεί';
+$lang['ecard_list'] = 'Λίστα με eCard που έχουν αποσταλεί ';
+$lang['ecard_invalid_ecard'] = 'Μη έγκυρη ή έχει λήξει eCard';
+$lang['ecard_infos'] = 'Λεπτομέρεια από eCard';
+$lang['ecard_from'] = 'Αποστολέας';
+$lang['ecard_force_delete'] = 'Διαγραφή (δυναμική) αυτής της eCard;';
+$lang['ecard_delete_all'] = 'Διαγραφή όλων των eCard που έχουν λήξει;';
+$lang['ecard_delete'] = 'Να διαγραφεί αυτή η eCard;';
+$lang['ecard_default_mail'] = 'Mail Προεπιλογής για ecard Επισκέπτών';
+$lang['ecard_days'] = 'μέρες';
+$lang['ecard_consult_detail'] = 'Λίστα των eCard';
+$lang['ecard_config'] = 'Τυπική διαμόρφωση';
+$lang['ecard_cat'] = 'Επιλέξτε Κατηγορίες (Μόνο αν «όλες οι κατηγορίες» δεν είναι επιλεγμένη)';
+$lang['ecard_cancel'] = 'Ακύρωση ';
+$lang['ecard_authorized_group_info'] = 'Καμιά επιλογή ==> Επιτρέπονται για όλους τους χρήστες';
+$lang['ecard_authorized_group'] = 'Παράμετροι Ομάδας';
+$lang['ecard_admin_submit'] = 'Αποθήκευση';
+$lang['ecard_admin_saveOK'] = 'Η διαμόρφωση αποθηκεύτηκε ';
+$lang['ecard_admin_params'] = 'Παράμετροι';
+$lang['ecard_admin_nb_page'] = 'Αριθμός eCard στην λίστα της καρτέλας';
+$lang['ecard_admin_manage'] = 'Επιλογή';
+$lang['ecard_admin_consult'] = 'Λίστα';
+$lang['ecard_active_user_cat'] = 'Ενεργοποιήστε αυτή τη λειτουργία μόνο για το χρήστη ή τις κατηγορίες που ανήκουν οι χρήστες (με βάση το όνομα του δημιουργού ή την κατηγορία)';
+$lang['ecard_active_spec_cats'] = 'Ενεργοποιήστε αυτή τη λειτουργία για τις επιλεγμένες κατηγορίες';
+$lang['ecard_active_all_cats'] = 'Ενεργοποιήστε αυτή τη λειτουργία σε όλες τις κατηγορίες';
+$lang['ecard_activ_nb'] = 'Αριθμός ημερών (προεπιλογή) για έγκυρη eCard';
+$lang['ecard_activ_choice'] = 'Ισχύς';
+$lang['ecard'] = 'Piwecard';
+?>