Index: extensions/Piwecard/language/en_UK/plugin.lang.php
===================================================================
--- extensions/Piwecard/language/en_UK/plugin.lang.php	(revision 19799)
+++ extensions/Piwecard/language/en_UK/plugin.lang.php	(revision 19800)
@@ -20,12 +20,12 @@
 $lang['ecard_send_method']				= 'Send method';
 $lang['ecard_maillink']					= 'Mail with link';
-$lang['ecard_mailhtml']					= 'Complet Mail with photo';
+$lang['ecard_mailhtml'] = 'Complete mail with photo';
 $lang['ecard_send_copy']				= 'Receive a copy';
 
 
-$lang['ecard_send_stage1']				= 'Stage 1 : Write your message';
-$lang['ecard_send_stage2']				= 'Stage 2 : Edit Informations';
-$lang['ecard_send_stage3']				= 'Stage 3 : Options';
-$lang['ecard_send_stage4']				= 'Stage 4 : Send the eCard !';
+$lang['ecard_send_stage1'] = 'Stage 1: Write your message';
+$lang['ecard_send_stage2'] = 'Stage 2: Edit information';
+$lang['ecard_send_stage3'] = 'Stage 3: Options';
+$lang['ecard_send_stage4'] = 'Stage 4: Send the eCard!';
 
 $lang['ecard_send_title']				= 'eCard Title ';
@@ -33,5 +33,5 @@
 $lang['ecard_send_exp']					= 'Sender';
 $lang['ecard_send_dest']				= 'Receiver';
-$lang['ecard_send_link1']				= 'To Send an eCard';
+$lang['ecard_send_link1'] = 'To send an eCard';
 $lang['ecard_send_link2']				= 'Click here';
 $lang['ecard_send_link3']				= 'Creating your personalized eCard';
@@ -51,10 +51,10 @@
 
 $lang['ecard_management']				= 'Piwecard Management';
-$lang['ecard_manage']					= 'Parameters for this function on gallery';
+$lang['ecard_manage'] = 'Parameters for this function in gallery';
 $lang['ecard_active_user_cat']			= 'Activate this function only on user or categories belong to users (based on author or category name)';
 $lang['ecard_active_spec_cats']			= 'Activate this function on selected categories';
 $lang['ecard_active_all_cats']			= 'Activate this function on all categories';
 $lang['ecard_recursiv']					= 'Activate recursivity';
-$lang['ecard_cat']						= 'Choose Categories (Only if "all categories" is unselected)';
+$lang['ecard_cat'] = 'Choose categories (only if "all categories" is not selected)';
 $lang['ecard_authorized_group']			= 'Group parameters'; 
 $lang['ecard_authorized_group_info']	= 'None checked ==> Allowed for all users'; 
@@ -64,5 +64,5 @@
 $lang['ecard_config']					= 'Standard config';
 
-$lang['ecard_activ_nb']					= 'Nb of days (default) for valid eCard';
+$lang['ecard_activ_nb'] = 'Number of days (default) for valid eCard';
 $lang['ecard_days']						= 'days';
 $lang['ecard_nolimit']					= 'Unlimited';
@@ -70,28 +70,27 @@
 $lang['ecard_nomodif_expmail']			= 'Allow sender mail modification by user';
 $lang['ecard_send_HTML']				= 'Allow send mail with photo (otherwise, only link is sent)';
-$lang['ecard_show_infos']				= 'Show informations under the photos (name and author)';
-$lang['ecard_admin_nb_page']			= 'Nb of eCard in list tab';
-$lang['ecard_mail_config']				= 'Parameter for mail sent';
+$lang['ecard_show_infos'] = 'Show information under the photos (name and author)';
+$lang['ecard_admin_nb_page'] = 'Number of eCards in list tab';
+$lang['ecard_mail_config'] = 'Parameter for sent mail';
 $lang['ecard_subject_link']				= 'Mail subject';
 $lang['ecard_message_link']				= 'Message sent (mail for link mode only)';
 $lang['ecard_message_html']				= 'Message sent (mail HTML with photo)';
-$lang['ecard_parameters']				= 
-'<b><u>Paramètres </u></b>:<br> 
+$lang['ecard_parameters'] = '<b><u>Parameters</u></b>:<br> 
 <b>%votrenom</b>    ==> Sender name<br>
-<b>%votremail</b>   ==> Sender Mail<br>
-<b>%sonnom</b>      ==> Receiver Name<br>
-<b>%sonmail</b>     ==> Receiver Mail<br>
-<b>%site</b>        ==> Site Name (Piwigo standard config)<br>
+<b>%votremail</b>   ==> Sender mail<br>
+<b>%sonnom</b>      ==> Receiver name<br>
+<b>%sonmail</b>     ==> Receiver mail<br>
+<b>%site</b>        ==> Site name (Piwigo standard config)<br>
 <b>%linksite</b>    ==> Site link (Piwigo standard config)<br>
 <b>%chemin</b>      ==> Link to eCard page<br>
-<b>%sujet</b>       ==> eCard Subject (write by user)<br>
-<b>%message</b>     ==> eCard Message (write by user)<br>
+<b>%sujet</b>       ==> eCard subject (write by user)<br>
+<b>%message</b>     ==> eCard message (write by user)<br>
 <b>%imgurl</b>      ==> Link to photo<br>
-<b>%imginfos</b>    ==> Photo Informations (name and author)';
+<b>%imginfos</b>    ==> Photo information (name and author)';
 
 $lang['ecard_admin_consult']					= 'List';
-$lang['ecard_consult_detail']			= 'List of eCard';
-$lang['ecard_list']						= 'Liste of eCard sent';
-$lang['ecard_delete_all']				= 'Delete all expired eCard?';
+$lang['ecard_consult_detail'] = 'List of eCards';
+$lang['ecard_list'] = 'List of sent eCards';
+$lang['ecard_delete_all'] = 'Delete all expired eCards?';
 $lang['valid']							= 'Valid';
 $lang['total']							= 'Total';